For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
预约演示登录免费开始
  • 入门
    • 概览
    • 工作原理
    • 快速开始
    • 项目结构
    • Customer showcase
    • 变更日志
  • 配置
    • 概览
    • 站点级设置
    • 页面级设置
  • 编写内容
    • Markdown 基础
    • Markdown 中的富媒体
    • Fern 编辑器
    • 可复用代码片段
  • AI 功能
    • 概览
    • Fern Writer
    • AI 生成的示例
    • Markdown 访问
      • 概览
      • Agent 指令
      • 智能体指令
      • 分析与集成
    • MCP 服务器
    • API 目录发现
      • 概览
        • 简介
          • POSTIndex Website
          • GETGet Website Status
          • GETGet Website By Id
          • GETGet Websites
          • POSTReindex Website
          • DELDelete Website
          • DELDelete All Websites
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
预约演示登录免费开始
AI 功能Ask FernAPI referenceWebsite

Get Website Status

||以 Markdown 格式查看|
GET
/sources/website/:domain/status
GET
/sources/website/:domain/status
$curl -G https://fai.buildwithfern.com/sources/website/domain/status \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d job_id=job_id
1{
2 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
3 "status": "PROCESSING",
4 "base_url": "https://example.com",
5 "pages_indexed": 42,
6 "pages_failed": 3,
7 "error": null
8}
Get the status of a website crawling job.
此页面是否有帮助?
上一个

Index Website

下一个

Get Website By Id

身份验证

AuthorizationBearer

Bearer 身份验证,格式为 Bearer <token>,其中 token 是您的身份验证令牌。

路径参数

domainstring必需

查询参数

job_idstring必需
The job ID returned from the index endpoint

响应

Successful Response
job_idstring
statusstring

Job status: PENDING, PROCESSING, COMPLETED, or FAILED

base_urlstring
pages_indexedinteger
Number of pages successfully indexed
pages_failedinteger
Number of pages that failed to index
errorstring or null
Error message if the job failed

错误

422
Unprocessable Entity Error